import { customRef } from 'vue'

export default function(data) {
  console.log(data)
  const list = [
    {
      label: '平台',
      value: data.platformName
    },
    {
      label: '客户名称',
      value: data.tenantName
    },
    {
      label: '任务名称',
      value: data.taskName
    },
    {
      label: '任务编号',
      value: data.taskCode
    },
    {
      label: '巡逻地点',
      value: data.patrolLocation
    },
    {
      label: '任务发起人',
      value: data.sponsorName
    },
    {
      label: '发起人联系方式',
      value: data.sponsorPhone
    },
    {
      label: '任务发起时间',
      value: data.createTime
    },
    {
      label: '期望执行时间',
      value: data.taskStartTime
    },
    {
      label: '是否直播',
      value: data.isLive === 2 ? '否' : '是',
      isShow: data.inspectionType === 1
    },
    {
      label: '备注',
      value: data.remark
    }
  ]
  return customRef((track, trigger) => {
    return {
      get() {
        track()
        return list
      }
    }
  })
}
